package com.wd.workoffice.ui.activity.mes.ticket;

import android.view.View;
import android.widget.LinearLayout;

import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.ui.activity.mes.quality.MesQualityActivity;
import com.wd.workoffice.ui.activity.mes.search.MesSearchActivity;
import com.wd.workoffice.ui.activity.mes.ticket.MesTicketListActivity;
import com.wd.workoffice.ui.activity.mes.user.MesUserDataListActivity;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * 工单
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MesTicketActivity extends WorkToolBarActivity {

    @BindView(R.id.ll_ticket)
    LinearLayout llTicket;
    @BindView(R.id.ll_data)
    LinearLayout llData;
    @BindView(R.id.ll_quality)
    LinearLayout llQuality;
    @BindView(R.id.ll_search)
    LinearLayout llSearch;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
    }

    @Override
    protected void initData() {
    }


    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_mes_ticket;
    }

    @OnClick({R.id.ll_ticket, R.id.ll_data, R.id.ll_quality, R.id.ll_search})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.ll_ticket:
                startActivity(MesTicketListActivity.class);
                break;
            case R.id.ll_data:
                startActivity(MesUserDataListActivity.class);
                break;
            case R.id.ll_quality:
                startActivity(MesQualityActivity.class);
                break;
            case R.id.ll_search:
                startActivity(MesSearchActivity.class);
                break;
        }
    }
}
